Package de.willuhn.jameica.hbci.rmi

# Interface EinnahmeAusgabeZeitraum

All Superinterfaces:
  `de.willuhn.datasource.GenericObject`, `Remote`

All Known Implementing Classes:
  `EinnahmeAusgabe`, `EinnahmeAusgabeTreeNode`

public interface EinnahmeAusgabeZeitraum extends de.willuhn.datasource.GenericObject
Interface fuer einen Zeitraum von Einnahmen und Ausgaben.

## Method Summary

Modifier and Type
Method
Description
`double`
`getAusgaben()`
Liefert die Ausgaben.
`double`
`getEinnahmen()`
Liefert die Einnahmen.
`Date`
`getEnddatum()`
Liefert das End-Datum.
`Date`
`getStartdatum()`
Liefert das Start-Datum.
`String`
`getText()`
Liefert den Beschreibungstext der Zeile.

### Methods inherited from interface de.willuhn.datasource.GenericObject

`equals, getAttribute, getAttributeNames, getID, getPrimaryAttribute`

## Method Details

### getStartdatum

Date getStartdatum()
Liefert das Start-Datum.

Returns:
  das Start-Datum.

### getEnddatum

Date getEnddatum()
Liefert das End-Datum.

Returns:
  das End-Datum.

### getText

String getText()
Liefert den Beschreibungstext der Zeile.

Returns:
  der Beschreibungstext der Zeile.

### getEinnahmen

double getEinnahmen()
Liefert die Einnahmen.

Returns:
  die Einnahmen.

### getAusgaben

double getAusgaben()
Liefert die Ausgaben.

Returns:
  die Ausgaben.